#pragma once

#include "pv/PvApp.h"

class MaskPageHome : public PvMask
{
public:
    // 控件ID的数量，需要在创建控件之前确定值和数量
    int idCount = 100;

    int iconView1;
    int welcomeLabel;
    int helpLabel;
    int buttonRestroom;

public:
    MaskPageHome(PARAM* p) : PvMask(p)
    {
        iconView1 = PvApp::pvid(p);
        welcomeLabel = PvApp::pvid(p);
        helpLabel = PvApp::pvid(p);
        buttonRestroom = PvApp::pvid(p);
    }

    int initUI(EPvCode pvcode);
    void updateUI();

    struct {
        int labelRunDays;
        int labelStationNum;
        int labelEnergyCapacity;
        int labelIncome;
        int labelStorageIn;
        int labelStorageOut;
    } ui;

};